<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class admin_login_auth
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if (!empty($request->session()->has('admin_user_id'))) {
            return $next($request);
        } else {
            return redirect('/admin/login');
        }
    }
}
